org.springframework.test.context.web

## Class WebDelegatingSmartContextLoader

- java.lang.Object
- - org.springframework.test.context.support.AbstractDelegatingSmartContextLoader
  - - org.springframework.test.context.web.WebDelegatingSmartContextLoader

All Implemented Interfaces:
  ContextLoader, SmartContextLoader

    public class WebDelegatingSmartContextLoader
    extends AbstractDelegatingSmartContextLoader

`WebDelegatingSmartContextLoader` is a concrete implementation of `AbstractDelegatingSmartContextLoader` that delegates to a `GenericXmlWebContextLoader` and an `AnnotationConfigWebContextLoader`.

Since:
  3.2
Author:
  Sam Brannen
See Also:
  `SmartContextLoader`, `AbstractDelegatingSmartContextLoader`, `GenericXmlWebContextLoader`, `AnnotationConfigWebContextLoader`

### Constructor Summary

Constructors
Constructor and Description
`WebDelegatingSmartContextLoader()`

### Method Summary

Methods
`protected SmartContextLoader` `getAnnotationConfigLoader()` Get the delegate `SmartContextLoader` that supports annotated classes.
`protected SmartContextLoader` `getXmlLoader()` Get the delegate `SmartContextLoader` that supports XML configuration files.

### Methods inherited from class org.springframework.test.context.support.AbstractDelegatingSmartContextLoader

`loadContext, loadContext, processContextConfiguration, processLocations`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebDelegatingSmartContextLoader

    public WebDelegatingSmartContextLoader()

### Method Detail

#### getXmlLoader

    protected SmartContextLoader getXmlLoader()

Description copied from class: `AbstractDelegatingSmartContextLoader`
Get the delegate `SmartContextLoader` that supports XML configuration files.

Specified by:
  `getXmlLoader` in class `AbstractDelegatingSmartContextLoader`

#### getAnnotationConfigLoader

    protected SmartContextLoader getAnnotationConfigLoader()

Description copied from class: `AbstractDelegatingSmartContextLoader`
Get the delegate `SmartContextLoader` that supports annotated classes.

Specified by:
  `getAnnotationConfigLoader` in class `AbstractDelegatingSmartContextLoader`